# Send report to AWS S3 Bucket

To save your report in an S3 bucket, use `-B`/`--output-bucket`.

```sh
prowler <provider> -B my-bucket
```

If you can use a custom folder and/or filename, use `-o`/`--output-directory` and/or `-F`/`--output-filename`.

```sh
prowler <provider> \
        -B my-bucket \
        --output-directory test-folder \
        --output-filename output-filename
```

By default Prowler sends HTML, JSON and CSV output formats, if you want to send a custom output format or a single one of the defaults you can specify it with the `-M`/`--output-modes` flag.

```sh
prowler <provider> -M csv -B my-bucket
```

> In the case you do not want to use the assumed role credentials but the initial credentials to put the reports into the S3 bucket, use `-D`/`--output-bucket-no-assume` instead of `-B`/`--output-bucket`.

> Make sure that the used credentials have `s3:PutObject` permissions in the S3 path where the reports are going to be uploaded.
